# QFileDialog Class Reference

### [com.trolltech.qt.gui package]

Inherits QDialog.

### Constructor

- void QFileDialog(QWidget parent, WindowFlags f)
- void QFileDialog(QWidget parent, String caption, String directory, String filter)

### Constructor Properties

- prototype: The QFileDialog prototype object
- String getExistingDirectory(QWidget parent, String caption, String dir, Options options)
- String getOpenFileName(QWidget parent, String caption, String dir, String filter, String selectedFilter, Options options)
- List getOpenFileNames(QWidget parent, String caption, String dir, String filter, String selectedFilter, Options options)
- String getSaveFileName(QWidget parent, String caption, String dir, String filter, String selectedFilter, Options options)
- AnyFile
- ExistingFile
- Directory
- ExistingFiles
- DirectoryOnly
- FileMode( value )
- ShowDirsOnly = 0x00000001
- DontResolveSymlinks = 0x00000002
- DontConfirmOverwrite = 0x00000004
- DontUseSheet = 0x00000008
- DontUseNativeDialog = 0x00000010
- ReadOnly = 0x00000020
- HideNameFilterDetails = 0x00000040
- Option( value )
- Options( value1, value2, ... )
- LookIn
- FileName
- FileType
- Accept
- Reject
- DialogLabel( value )
- Detail
- List
- ViewMode( value )
- AcceptOpen
- AcceptSave
- AcceptMode( value )

### Prototype Object Properties

The QFileDialog prototype object inherits properties from the QDialog prototype object and also has the following properties.

- QDir directory()
- Filters filter()
- List filters()
- List history()
- QFileIconProvider iconProvider()
- bool isNameFilterDetailsVisible()
- QAbstractItemDelegate itemDelegate()
- String labelText(DialogLabel label)
- List nameFilters()
- void open(QObject receiver, char member)
- QAbstractProxyModel proxyModel()
- bool restoreState(QByteArray state)
- QByteArray saveState()
- void selectFile(String filename)
- void selectFilter(String filter)
- void selectNameFilter(String filter)
- List selectedFiles()
- String selectedFilter()
- String selectedNameFilter()
- void setDirectory(QDir directory)
- void setFilter(Filters filters)
- void setFilters(List filters)
- void setHistory(List paths)
- void setIconProvider(QFileIconProvider provider)
- void setItemDelegate(QAbstractItemDelegate delegate)
- void setLabelText(DialogLabel label, String text)
- void setNameFilter(String filter)
- void setNameFilterDetailsVisible(bool enabled)
- void setNameFilters(List filters)
- void setOption(Option option, bool on)
- void setProxyModel(QAbstractProxyModel model)
- void setSidebarUrls(List urls)
- List sidebarUrls()
- bool testOption(Option option)

### Instance Properties

QFileDialog objects inherit properties from the QFileDialog prototype object and also have the following properties.

- viewMode
- fileMode
- acceptMode
- readOnly
- resolveSymlinks
- confirmOverwrite
- defaultSuffix
- nameFilterDetailsVisible
- options